--- old/usr/src/uts/common/io/ib/adapters/hermon/hermon_srq.c	2014-10-23 10:42:13.663080879 -0400
+++ new/usr/src/uts/common/io/ib/adapters/hermon/hermon_srq.c	2014-10-23 10:42:13.667940017 -0400
@@ -31,6 +31,7 @@
  *    modifying and posting shared receive queues.
  */
 
+#include <sys/sysmacros.h>
 #include <sys/types.h>
 #include <sys/conf.h>
 #include <sys/ddi.h>
@@ -174,7 +175,7 @@
 	 */
 	srq_wr_sz = max(sizes->srq_wr_sz + 1, HERMON_SRQ_MIN_SIZE);
 	log_srq_size = highbit(srq_wr_sz);
-	if ((srq_wr_sz & (srq_wr_sz - 1)) == 0) {
+	if (ISP2(srq_wr_sz)) {
 		log_srq_size = log_srq_size - 1;
 	}
 
@@ -623,7 +624,7 @@
 	 */
 	size = max(size, HERMON_SRQ_MIN_SIZE);
 	log_srq_size = highbit(size);
-	if ((size & (size - 1)) == 0) {
+	if (ISP2(size)) {
 		log_srq_size = log_srq_size - 1;
 	}
 
@@ -974,7 +975,7 @@
 		 */
 		max_size = (HERMON_QP_WQE_MLX_SRQ_HDRS + (num_sgl << 4));
 		log2 = highbit(max_size);
-		if ((max_size & (max_size - 1)) == 0) {
+		if (ISP2(max_size)) {
 			log2 = log2 - 1;
 		}
 
